{
  "accUserMode" : 2,
  "caption" : "学生",
  "codeName" : "studentUsr08074768CustomView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/studentUsr08074768CustomView.json",
  "name" : "studentUsr08074768CustomView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/common.json"
  },
  "getPSDEViewCodeName" : "Usr08074768CustomView",
  "getPSDEViewId" : "9BF6EBEF-017E-4EE3-A0E3-4A20DE839B27",
  "getPSViewLayoutPanel" : {
    "getAllPSPanelFields" : [ {
      "id" : "field_text_dynamic"
    } ],
    "codeName" : "Usr0807337154",
    "controlType" : "VIEWLAYOUTPANEL",
    "layoutMode" : "FLEX",
    "logicName" : "大屏顶部视图布局面板",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "layout" : "FLEX"
    },
    "getRootPSPanelItems" : [ {
      "caption" : "图片背景容器",
      "itemStyle" : "STYLE2",
      "itemType" : "CONTAINER",
      "name" : "container_image",
      "getPSLayout" : {
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "heightMode" : "FULL",
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "栅格容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container_grid1",
        "getPSLayout" : {
          "layout" : "SIMPLEFLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "heightMode" : "FULL",
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "面板容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container4",
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "grow" : 4,
            "layout" : "SIMPLEFLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "文本(动态)",
            "itemStyle" : "DEFAULT",
            "itemType" : "FIELD",
            "name" : "field_text_dynamic",
            "getPSEditor" : {
              "editorParams" : {
                "RIGHTTIME" : "HH:mm",
                "SHOWWEEK" : "true",
                "LEFTTIME" : "YYYY-MM-DD"
              },
              "editorStyle" : "SCREEN_REAL_TIME",
              "editorType" : "SPAN",
              "name" : "field_text_dynamic",
              "predefinedType" : "FIELD_TEXT_DYNAMIC",
              "renderMode" : "TEXT_DYNAMIC",
              "enableLinkView" : false
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "valueFormat" : "YYYY-MM-DD,week,HH:mm:ss"
          } ]
        }, {
          "caption" : "面板容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container5",
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "grow" : 4,
            "layout" : "SIMPLEFLEX"
          }
        }, {
          "caption" : "面板容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container6",
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "grow" : 4,
            "layout" : "SIMPLEFLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "图片背景容器",
            "contentHeight" : 53.0,
            "contentWidth" : 200.0,
            "height" : 53.0,
            "itemStyle" : "STYLE2",
            "itemType" : "CONTAINER",
            "name" : "container_image1",
            "getPSLayout" : {
              "childColMD" : 24,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "hAlignSelf" : "RIGHT",
              "height" : 53,
              "heightMode" : "PX",
              "layout" : "TABLE_24COL",
              "vAlignSelf" : "MIDDLE",
              "width" : 200,
              "widthMode" : "PX"
            },
            "getPSPanelItems" : [ {
              "actionType" : "UIACTION",
              "buttonStyle" : "DEFAULT",
              "caption" : "打开页面",
              "itemStyle" : "DEFAULT",
              "itemType" : "BUTTON",
              "name" : "button_openview",
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "layoutpanel_button_openview"
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "getPSUIAction" : {
                "actionTarget" : "SINGLEDATA",
                "caption" : " 计数器实体编辑视图（左右关系）",
                "codeName" : "panel_Usr0807337154_button_openview_click",
                "getFrontPSAppView" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr05221370EditView2.json",
                  "viewType" : "DEEDITVIEW2"
                },
                "frontProcessType" : "WIZARD",
                "fullCodeName" : "Student_panel_Usr0807337154_button_openview_click",
                "name" : "打开页面",
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
                },
                "uIActionMode" : "FRONT",
                "uIActionTag" : "panel_Usr0807337154_button_openview_click",
                "uIActionType" : "DEUIACTION",
                "id" : "panel_Usr0807337154_button_openview_click@Student"
              },
              "tooltip" : "打开页面",
              "uIActionTarget" : "SINGLEDATA",
              "showCaption" : true
            } ],
            "getPSSysCss" : {
              "cssName" : "screen-button-style"
            },
            "getPSSysImage" : {
              "imagePath" : "/assets/images/year-total.png"
            },
            "predefinedType" : "CONTAINER_IMAGE",
            "width" : 200.0
          } ]
        } ],
        "predefinedType" : "CONTAINER_GRID"
      } ],
      "getPSSysImage" : {
        "imagePath" : "/assets/images/screen_nav.png"
      },
      "predefinedType" : "CONTAINER_IMAGE"
    } ],
    "layoutBodyOnly" : false,
    "layoutPanel" : true,
    "useDefaultLayout" : false,
    "viewProxyMode" : true,
    "modelid" : "2AC96903-E050-4E7F-A242-B21F23ED5612",
    "modeltype" : "PSSYSVIEWLAYOUTPANEL",
    "getPSControls" : [ {
      "caption" : "学生",
      "codeName" : "Usr08074768CustomViewcaptionbar",
      "controlType" : "CAPTIONBAR",
      "name" : "captionbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
      },
      "getPSControlParam" : { }
    } ]
  },
  "title" : "大屏顶部视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DECUSTOMVIEW",
  "enableDP" : true,
  "modelid" : "d567ce34853c0096f5b292730c1f21ef",
  "modeltype" : "PSAPPDEVIEW"
}